/* .containerSearch {
  display: flex;
  justify-content: center;
  align-items: center;
} */
@import "./Variables.scss";
.truc{
  width: 100%;
input[type="text"] {
  position: relative;
  padding: 15px 40px 15px 20px;
   width: 95%; 
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 100;
  letter-spacing: 1px;
  border: 0.5px solid $navbar-background;
  border-top: none;
  background-color: $base-background;
  /* transition: left 0.4s ease-in-out; */
  outline: none;
  flex-grow: 0; /* do not grow   - initial value: 0 */
  flex-shrink: 0; /* do not shrink - initial value: 1 */
  flex-basis: 60%; /* width/height  - initial value: auto */

  &::placeholder {
    color: transparent;
  }

  &:focus + i {
    margin-left: -5%;
  }

  &:focus::placeholder {
    color: black;
  }
}
}
.fa-search {
  margin-top: 1%;
  margin-left: -58%;
  transition: margin-left 0.8s ease-in-out;
}

.containerSearch {
  flex: 8;
  display: flex;
  flex-direction: row;
}

.containerSearch i {
  position: relative;
  color: $base-font;
  opacity: 0.8;
}
.filters {
  color: $brown;
  font-size: 14px;
  /* text-transform: uppercase; */
  padding: 15px 30px 15px 20px;
  outline: none;
  border: 0.5px solid $navbar-background;
  background-color: $base-background;
  border-top: 0;
  appearance: none;
  width: 100%;
}
.cselect {
  position: relative;
}
.cselect::after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f0dc";
  position: absolute;
  top: 12px;
  right: 0;
  height: 20px;
  width: 20px;
  color: $brown;
}

.filters option {
  background-color: $base-background;
  border: none;
}
select {
  height: 100%;
}

.navigation-wrapper {
  display: flex;
}
/* ------------------------------------------------------ CSS FOR SIDEBAR --------------------------------------------- */

#searchBarNav {
  position: relative;
  padding: 15px 40px 15px 20px;
  width: 95%;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 100;
  letter-spacing: 1px;
  border: 0.5px solid $navbar-background;
  border-top: none;
  background-color: $base-background;
  /* transition: left 0.4s ease-in-out; */
  outline: none;

  &::placeholder {
    color: transparent;
  }

  &:focus + i {
    margin-left: -10%;
  }

  &:focus::placeholder {
    color: black;
  }
}

#searchBarIcon {
  margin-top: 2.5%;
  margin-left: -55%;
  transition: margin-left 0.4s ease-in-out;
}

.containerSearchNav {
  /* flex: 9; */
  display: flex !important;
  margin-top: 35% !important;
  /* flex-direction: row; */
}

.containerSearchNav i {
  position: relative;
  color: $base-font;
  opacity: 0.8;
}
.filtersNav {
  color: $base-font;
  font-size: 14px;
  /* text-transform: uppercase; */
  padding: 15px 30px 15px 20px;
  outline: none;
  border: 0.5px solid $navbar-background;
  background-color: $base-background;
  border-top: 0;
  appearance: none;
}
.cselectNav {
  position: relative;
}
.cselectNav::after {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f0dc";
  position: absolute;
  top: 12px;
  right: 0;
  height: 20px;
  width: 20px;
  opacity: 0.8;
}

.filtersNav option {
  background-color: $base-background;
  border: none;
}
select {
  height: 100%;
}

/* -------------------------------------------RESPONSIVE --------------------------------------------------------------- */

@media (max-width: 767px) {
  .containerSearch,
  .btn {
    display: none;
  }
  /* .wrapper-nav {
    flex: 10;
  } */

  /* .header-logo {
    width: 70% !important;
    flex: 5;
    order: 2;
  } */
  .wrapper-menu {
    flex: 5;
    order: 1;
  }
  #page-wrap {
    flex: 10 !important;
    order: 3 !important;
  }
  .header-logo .logo {
    max-width: 35%;
  }
  #outer-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
  }
}
